Actualizări de securitate disponibile pentru Adobe Acrobat și Reader | APSB18-09
ID buletin Data publicării Prioritate
APSB18-09 14 mai 2018 1

Sumar

Adobe a lansat actualizări de securitate pentru Adobe Acrobat și Reader pentru Windows și MacOS. Aceste actualizări remediază vulnerabilități critice care, în cazul unei exploatări reușite, pot duce la executarea arbitrară de cod în contextul utilizatorului curent.

Adobe este la curent cu un raport conform căruia o exploatare pentru CVE-2018-4990 este activă și folosită în prezent.  În plus, a fost publicat și este disponibil public cod ca dovadă conceptuală pentru CVE-2018-4993.  

Versiuni afectate

Produs Urmărire Versiuni afectate Platformă
Acrobat DC  Consumator 2018.011.20038 și versiunile anterioare 
Windows și MacOS
Acrobat Reader DC  Consumator 2018.011.20038 și versiunile anterioare 
Windows și MacOS
       
Acrobat 2017 Classic 2017 2017.011.30079 și versiunile anterioare Windows și MacOS
Acrobat Reader 2017 Classic 2017 2017.011.30079 și versiunile anterioare Windows și MacOS
       
Acrobat DC  Classic 2015 2015.006.30417 și versiunile anterioare
Windows și MacOS
Acrobat Reader DC  Classic 2015 2015.006.30417 și versiunile anterioare
Windows și MacOS

Pentru mai multe informații despre Acrobat DC, vizitați pagina Întrebări frecvente despre Acrobat DC.

Pentru mai multe informații despre Acrobat Reader DC, vizitați pagina Întrebări frecvente despre Acrobat Reader DC.

Soluție

Adobe le recomandă utilizatorilor să își actualizeze instalările de software la cele mai recente versiuni, urmând instrucțiunile de mai jos.
Cele mai recente versiuni ale produselor sunt disponibile pentru utilizatorii finali prin una dintre următoarele metode:

  • Utilizatorii pot actualiza instalările produselor manual, selectând Asistență > Căutare actualizări.
  • Produsele se vor actualiza automat, fără a necesita intervenția utilizatorului, atunci când sunt detectate
    actualizări.
  • Programul de instalare complet Acrobat Reader poate fi descărcat de la Centrul de descărcări Acrobat Reader.

Pentru administratorii IT (medii gestionate):

  • Descărcați programele de instalare enterprise de la ftp://ftp.adobe.com/pub/adobe/ sau consultați versiunea specifică a notelor de lansare pentru linkuri către programele de instalare.
  • Instalați actualizările prin metoda preferată, cum ar fi AIP-GPO, bootstrapper, SCUP/SCCM
    (Windows) sau, pe Macintosh, Apple Remote Desktop și SSH.

Adobe acordă acestor actualizări următoarele evaluări ale priorității și recomandă utilizatorilor să își actualizeze produsele instalate la cea mai nouă versiune:

Produs Versiuni actualizate Platformă Evaluare a priorității Disponibilitate
Acrobat DC 2018.011.20040
Windows și MacOS 1 Windows
macOS
Acrobat Reader DC 2018.011.20040
Windows și MacOS 1 Windows
macOS
         
Acrobat 2017 2017.011.30080 Windows și MacOS 1 Windows
macOS
Acrobat Reader DC 2017 2017.011.30080 Windows și MacOS 1 Windows
macOS
         
Acrobat Reader DC (Classic 2015) 2015.006.30418
Windows și macOS
1 Windows
macOS
Acrobat DC (Classic 2015) 2015.006.30418 Windows și MacOS 1 Windows
macOS

Notă:

După cum s-a menționat în anunțul anterior, suportul pentru Adobe Acrobat 11.x și Adobe Reader 11.x s-a încheiat pe 15 octombrie 2017.  Versiunea 11.0.23 este ultima ediție pentru Adobe Acrobat 11.x și Adobe Reader 11.x.  Adobe recomandă să actualizați la cele mai recente versiuni de Adobe Acrobat DC și Adobe Acrobat Reader DC. Dacă actualizați la cele mai recente versiuni, veți beneficia de cele mai recente îmbunătățiri funcționale și măsuri de securitate îmbunătățite.

Detalii privind vulnerabilitatea

Categoria de vulnerabilitate Impactul vulnerabilității Severitate Număr CVE
Dezalocare dublă
Executare de cod arbitrară Critică CVE-2018-4990
Depășire heap
Executare de cod arbitrară
Critică

CVE-2018-4947, CVE-2018-4948, CVE-2018-4966, CVE-2018-4968, CVE-2018-4978, CVE-2018-4982, CVE-2018-4984

Utilizare după dealocare 
Executare de cod arbitrară
Critică CVE-2018-4996, CVE-2018-4952, CVE-2018-4954, CVE-2018-4958, CVE-2018-4959, CVE-2018-4961, CVE-2018-4971, CVE-2018-4974, CVE-2018-4977, CVE-2018-4980, CVE-2018-4983, CVE-2018-4988, CVE-2018-4989 
Scriere în afara limitelor 
Executare de cod arbitrară
Critică CVE-2018-4950 
Ocolirea securității Divulgarea informațiilor Importantă CVE-2018-4979
Citire în afara limitelor Divulgarea informațiilor Importantă CVE-2018-4949, CVE-2018-4951, CVE-2018-4955, CVE-2018-4956, CVE-2018-4957, CVE-2018-4960, CVE-2018-4962, CVE-2018-4963, CVE-2018-4964, CVE-2018-4967, CVE-2018-4969, CVE-2018-4970, CVE-2018-4972, CVE-2018-4973, CVE-2018-4975, CVE-2018-4976, CVE-2018-4981, CVE-2018-4986, CVE-2018-4985
Confuzie de tipuri Executare de cod arbitrară Critică CVE-2018-4953
Dereferențiere de pointer neautorizată  Executare de cod arbitrară Critică CVE-2018-4987
Coruperea memoriei Divulgarea informațiilor Importantă CVE-2018-4965
Sustragere hash SSO NTLM Divulgarea informațiilor Importantă CVE-2018-4993
Injectare de linie nouă HTTP POST prin remiterea XFA Ocolirea securității Importantă CVE-2018-4995

Notă:

Consultați acest articol din Baza de cunoștințe pentru mai multe informații despre atenuarea CVE-2018-4993.  Administratorii au la dispoziție o atenuare suplimentară pentru CVE-2018-4993, care are ca rezultat blocarea acțiunilor PDF care deschid linkuri, inclusiv GoToE, GoToR, Launch, Thread, Import Data, Export Form Data, Submit Form și Reset Form. Pentru mai multe detalii, consultați această documentație.

Mențiuni

Adobe dorește să mulțumească următoarelor persoane și organizații pentru raportarea problemelor
relevante și pentru colaborarea cu Adobe în scopul protejării securității clienților noștri:

  • Aleksandar Nikolic de la Cisco Talos (CVE-2018-4996, CVE-2018-4947)
  • Anton Cherepanov, ESET și Matt Oh, Microsoft (CVE-2018-4990)
  • Vladislav Stolyarov de la Kaspersky Lab (CVE-2018-4988, CVE-2018-4987)
  • Yoav Alon și Netanel Ben-Simon de la Check Point Software Technologies (CVE-2018-4985)
  • Gal De Leon de la Palo Alto Networks (CVE-2018-4959, CVE-2018-4961)
  • Ke Liu de la Laboratorul Xuanwu al Tencent (CVE-2018-4960, CVE-2018-4986)
  • Raportat anonim prin intermediul inițiativei Zero Day de la Trend Micro (CVE-2018-4950, CVE-2018-4951, CVE-2018-4952, CVE-2018-4953, CVE-2018-4954, CVE-2018-4962, CVE-2018-4974)
  • WillJ de la Tencent PC Manager prin inițiativa Zero Day de la Trend Micro (CVE-2018-4948, CVE-2018-4949, CVE-2018-4955, CVE-2018-4971, CVE-2018-4973)
  • Riusksk de la Departamentul Platforme de securitate Tencent prin inițiativa Zero Day de la Trend Micro (CVE-2018-4956, CVE-2018-4957)
  • Steven Seeley prin inițiativa Zero Day de la Trend Micro (CVE-2018-4963, CVE-2018-4964, CVE-2018-4965, CVE-2018-4966, CVE-2018-4968, CVE-2018-4969)
  • Ke Liu de la laboratorul Xuanwu al Tencent lucrând prin inițiativa Zero Day de la Trend Micro (CVE-2018-4967, CVE-2018-4970, CVE-2018-4972, CVE-2018-4975, CVE-2018-4976, CVE-2018-4978, CVE-2018-4981, CVE-2018-4982)
  • Sebastian Apelt siberas prin inițiativa Zero Day de la Trend Micro (CVE-2018-4977)
  • AbdulAziz Hariri prin inițiativa Zero Day de la Trend Micro (CVE-2018-4979, CVE-2018-4980, CVE-2018-4984)
  • Hui Gao de la Palo Alto Networks și Heige (a.k.a. SuperHei) de la Knownsec 404 Security Team (CVE-2018-4958, CVE-2018-4983)
  • Cybellum Technologies LTD (CVE-2018-4989)
  • Alex de la Cure53 (CVE-2018-4995)
  • Assaf Baharav, Yaron Fruchtmann și Ido Solomon de la Check Point Software Technologies (CVE-2018-4993)

Revizii

15 mai 2018: S-a adăugat text pentru a anunța utilizatorii că este în circulație o exploatare pentru CVE-2018-4990 și că a fost publicat și este disponibil public cod ca dovadă conceptuală pentru CVE-2018-4985. De asemenea, s-a adăugat CVE-2018-4995 pentru a înlocui CVE-2018-4994, care a fost deja atribuită unei vulnerabilități independente în Adobe Connect. În final, s-a adăugat CVE-2018-4996 pentru a înlocui CVE-2018-4946, care a fost deja atribuită unei vulnerabilități necorelate din Adobe Photoshop.

16 mai 2018: S-a corectat secțiunea de rezumat prin înlocuirea CVE-2018-4985 cu CVE-2018-4993.  Este disponibil în mod public cod ca dovadă conceptuală pentru CVE-2018-4993 și nu CVE-2018-4985. 

17 mai 2018: S-a adăugat un link la documentație care descrie o atenuare suplimentară pentru CVE-2018-4993 care va bloca utilizatorii să urmeze linkurile din documente PDF.